####
#### Sun(TM) Remote System Control properties file
####
# sccs_id = "@(#)rsc.properties 1.85 01/11/05 SMI"
#
# Note:
#   Values in this file will be overridden by any values in the specific
#   localized properties file (eg: rsc.properties_en).
#

##### General RSC Properties (rsc.*)
#
rsc.confirmquit=false
rsc.dialog.defaulttextwidth=300

# Base location for image files
# Files here will only be shown if an image file is not found in the
# directory specified byt the "rsc.imageloc" property, which should be
# customized per locale
rsc.imageloc.base=images

# Look and feel (comment out to use cross platform look and feel)
#rsc.lookandfeel=com.sun.java.swing.plaf.metal.MetalLookAndFeel

# Look and feel theme (only applies to Metal (Cross Platform) L&F)
# The PropertyMetalTheme allows Swing colors to be specified via
# properties (see rsc.color.swing.* below)
rsc.theme.class=com.sun.rsc.internal.util.PropertyMetalTheme

# SSPManagerType (use 1 for normal RSC communication)
rsc.ssp.sessionmanagertype=1

# Debug properties
rsc.debug.output=stderr
rsc.debug.level=5
rsc.debug.ssplogging=false

#
# Telnet command based on os
#    os.name system property is first converted to all lower case, and
#    spaces are replaced by periods.
#    Using the resulting os name (osname) a property is looked for called
#
#        "rsc.telnet.command.osname"
#
#    If this property is not defined, we sequentially remove words from
#    the end of of the osname and check each resulting osname as above.
#    If no property is still found, the osname "default" will be used.
#
#    For example, for Windows 95, the os.name property is "Windows 95"
#    and the properties will be searched in the following order.  The
#    first defined property found will be used.
#        rsc.telnet.command.windows.95
#        rsc.telnet.command.windows
#        rsc.telnet.command.default
#
#    The {0} parameter is replaced by the hostname to telnet to
#    The {1} parameter is replaced by the port to telnet to
#    The {2} parameter (if present) is replaced by the window title
#
rsc.telnet.command.default=/usr/dt/bin/dtterm -title ''{2}'' -e /bin/sh -c ''/usr/bin/telnet {0} {1}; read s''
rsc.telnet.command.solaris=/usr/dt/bin/dtterm -title ''{2}'' -e /bin/sh -c ''/usr/bin/telnet {0} {1}; read s''
rsc.telnet.command.sunos=/usr/dt/bin/dtterm -title ''{2}'' -e /bin/sh -c ''/usr/bin/telnet {0} {1}; read s''
rsc.telnet.command.windows=telnet {0} {1}
rsc.telnet.command.windows.2000=cmd /c start "{2}" telnet {0} {1}


##### RSC Doc properties (rsc.doc.*)
#
rsc.doc.home=title.html
rsc.doc.framesize.width=600
rsc.doc.framesize.height=590
rsc.doc.loginhelp=login.html
rsc.doc.userhelp=user.html
rsc.doc.useraddhelp=addmoduser.html
rsc.doc.alerthelp=alerts.html
rsc.doc.envhelp=environment.html
rsc.doc.networkhelp=network.html
rsc.doc.serialhelp=comm.html
rsc.doc.loghelp=logs.html
rsc.doc.bootmodehelp=bootmode.html

##### RSC Main Page (rsc.main.*)
#
rsc.main.framesize.width=570
rsc.main.framesize.height=590
rsc.main.font.titlelabelfont=dialog-bold-30
rsc.main.font.titlelabelfont2=dialog-bold-12
rsc.main.titleimagesize.width=505
rsc.main.titleimagesize.height=60
rsc.main.titleimageloc=header.gif
rsc.main.treesize.width=300
rsc.main.treesize.height=265
rsc.main.statuspanelsize.width=200
rsc.main.statuspanelsize.height=395
rsc.main.serverpanelsize.width=400
rsc.main.serverpanelsize.height=300
rsc.main.rscicon.imageloc=rsc-icon.gif
# help panel parameters
rsc.main.help.textwidth=285
rsc.main.help.panelsize.width=298
rsc.main.help.panelsize.height=123
# tree params
rsc.main.tree.enabled.imageloc=tree_enabled.gif
rsc.main.tree.disabled.imageloc=tree_disabled.gif
# rsc bar label length
rsc.rscbar.label.width=245
rsc.rscbar.label.height=10

#### RSC FrontPanel Image (rsc.frontpanel.*)
#
rsc.frontpanel.border.top=1
rsc.frontpanel.border.left=14
rsc.frontpanel.border.bottom=0
rsc.frontpanel.border.right=0


#### RSC Login page (rsc.login.*)
#
rsc.login.hostfile=$HOME/.rscdata
rsc.login.maxhosts=10
rsc.login.vgap=15
rsc.login.donotshowagin=false

#### RSC Env. Status page (rsc.env.*)
#
rsc.env.pollrate=60
rsc.env.ok.imageloc=ok.gif
rsc.env.warning.imageloc=warning.gif
rsc.env.failure.imageloc=failure.gif
rsc.env.failureLarge.imageloc=failureLarge.gif
rsc.env.warningLarge.imageloc=warningLarge.gif
rsc.env.empty.imageloc=empty.gif
rsc.env.labelsize.width=55
rsc.env.labelsize.height=15
rsc.env.valuesize.width=55
rsc.env.valuesize.height=15
rsc.env.tempmetric=Celcius
rsc.env.fan.valuesize.width=85
rsc.env.fan.valuesize.height=15
rsc.env.fan.labelsize.width=200
rsc.env.fan.labelsize.height=15
rsc.env.ps.valuesize.width=85
rsc.env.ps.valuesize.height=15
rsc.env.ps.labelsize.width=200
rsc.env.ps.labelsize.height=15
rsc.env.updatelabel.border.top=5
rsc.env.updatelabel.border.left=45
rsc.env.updatelabel.border.bottom=0
rsc.env.updatelabel.border.right=0


#### RSC About Dialog
#
rsc.about.about_logos.imageloc=about_logos.gif
rsc.about.about_banner.imageloc=about_banner.gif


#### RSC Bootmode Page (rsc.bootmode.*)
#
rsc.bootmode.indentwidth=30
rsc.bootmode.tpwidth=725
rsc.bootmode.tpborder.top=0
rsc.bootmode.tpborder.left=52
rsc.bootmode.tpborder.bottom=0
rsc.bootmode.tpborder.right=0
rsc.bootmode.consolecb.indentwidth=80
rsc.bootmode.button.leftindent=585


#### RSC Log Display Screen (rsc.log.*)
#
rsc.log.linewrap=false
rsc.log.framesize.width=610
rsc.log.framesize.height=590
rsc.log.font=monospaced-12

#### RSC User Admin Screen (rsc.user.*)
#
rsc.user.framesize.width=595
rsc.user.framesize.height=355
rsc.user.tpwidth=550
rsc.user.tablesize.width=550
rsc.user.tablesize.height=87
rsc.user.table.checksymbol=X
rsc.user.table.labelspacing=0
rsc.user.table.labeltopspace=18

#### RSC Change Password Dialog (rsc.passwd.*)
#
rsc.passwd.textwidth=250
rsc.passwd.framesize.width=398
rsc.passwd.framesize.height=183
rsc.passwd.admin.framesize.width=300
rsc.passwd.admin.framesize.height=260

#### RSC Alert config. screen settings
#
rsc.alert.textwidth=530
rsc.alert.tabsize.width=560
rsc.alert.tabsize.height=275
rsc.alert.tabsize2.height=330

#### RSC serial config. screen settings
#
rsc.serial.textwidth=550
rsc.serial.indentsize.width=10
rsc.serial.indentsize.height=0
rsc.serial.listpanesize.width=175
rsc.serial.listpanesize.height=155

#####
##### Accessibility Properties
##### (see also MNEMONICS under L10N Properties)
#####
## Colors can be given either as Java names ("white") or as 
## RGB values (XXX-XXX-XXX)
rsc.color.black=black
rsc.color.white=white
rsc.color.darkgray=darkGray
rsc.color.gray=gray
rsc.color.background=white
rsc.color.border.highlight=white
rsc.color.border.shadow=gray
rsc.color.bar=225-225-225
rsc.color.ok=green
rsc.color.warning=255-204-0
rsc.color.critical=red
# Generally the same as Swing secondary 2
rsc.color.disabled=153-153-153
# Generally the same as Swing secondary 3
rsc.color.canvas=204-204-204
# Generally the same as Swing secondary 1
rsc.color.secondary1=102-102-102

#banner colors
rsc.color.banner.1=153-0-51
rsc.color.banner.2=153-153-102
rsc.color.banner.3=191-191-63
rsc.color.banner.4=204-102-0
rsc.color.banner.text=white
rsc.color.banner.background=black

## These are the default values, but should not to be provided (should
## be commented) so that by default we'll inherit the Swing-specified
## color values.  Users can overide these to get custom colors.
#rsc.color.swing.primary1=102-102-153
#rsc.color.swing.primary2=153-153-204
#rsc.color.swing.primary3=204-204-255
#rsc.color.swing.secondary1=102-102-102
#rsc.color.swing.secondary2=153-153-153
#rsc.color.swing.secondary3=204-204-204
#rsc.color.swing.white=white
#rsc.color.swing.black=black

#
# Time threshold for keyboard list selection
rsc.timer.keyboard=1000



#####
##### Properties useful for L10N
##### (see rsc.properties_en for more complete documentation)
#####
#
# Height parameters are ignored in all cases below where height is set to '0'
#
rsc.modemloc=locale/en/modems
rsc.imageloc=locale/en/images
rsc.doc.dir=locale/en/html
rsc.font.textpanelfont=dialog-12
rsc.font.textpanelboldfont=dialog-bold-12
rsc.font.labelfont=dialog-bold-12
rsc.font.env.leftsidetext=dialog-bold-12
rsc.font.aboutdialog.programtitle=dialog-18
rsc.font.passwordfieldfont=monospaced-12
rsc.date.daybeforemonth=false
rsc.date.24hour=false
rsc.date.timeseparator=:
rsc.login.labelsize.width=80
rsc.login.labelsize.height=0
rsc.login.fieldsize.width=135
rsc.login.fieldsize.height=0
rsc.login.tpwidth=300
rsc.user.mod.labelsize.width=135
rsc.user.mod.labelsize.height=24
rsc.user.mod.labelsizeadd.width=135
rsc.user.mod.labelsizeadd.height=24
rsc.user.mod.fieldsize.width=160
rsc.user.mod.fieldsize.height=0
rsc.net.labelsize.width=150
rsc.net.labelsize.height=0
rsc.net.fieldsize.width=150
rsc.net.fieldsize.height=0
rsc.alert.general.labelsize.width=210
rsc.alert.general.labelsize.height=0
rsc.alert.email.labelsize.width=210
rsc.alert.email.labelsize.height=0
rsc.alert.pagedialog.labelsize.width=137
rsc.alert.pagedialog.labelsize.height=0
rsc.alert.pagedialog.fieldsize.width=100
rsc.alert.pagedialog.fieldsize.height=0
rsc.serial.labelsize.width=200
rsc.serial.labelsize.height=0
rsc.serial.fieldsize.width=100
rsc.serial.fieldsize.height=0




######## RSC MNEMONICS
rsc.mnemonic.login.connectto=C
rsc.mnemonic.login.exit=E
rsc.mnemonic.login.servertypes=S
rsc.mnemonic.login.help=H
rsc.mnemonic.login.logout=L
rsc.mnemonic.login.password=P
rsc.mnemonic.login.username=U

rsc.mnemonic.help.back=B
rsc.mnemonic.help.forward=F
rsc.mnemonic.help.close=C

rsc.mnemonic.date.newdate=D
rsc.mnemonic.date.newtime=T

rsc.mnemonic.env.help=H
rsc.mnemonic.env.refresh=R
rsc.mnemonic.env.selectacategory=S
rsc.mnemonic.env.temperaturein=T

rsc.mnemonic.useradministration.add=A
rsc.mnemonic.useradministration.help=H
rsc.mnemonic.useradministration.modify=M
rsc.mnemonic.useradministration.remove=R

rsc.mnemonic.edituseraccount.allowusertoconnecttoserverconsole(console)=C
rsc.mnemonic.edituseraccount.allowusertoadd,remove,andmodifyrscuseraccounts(user)=U
rsc.mnemonic.edituseraccount.allowusertochangerscconfigurationsettings(administration)=A
rsc.mnemonic.edituseraccount.allowusertoresetserverandpoweron/offserver(reset/power)=R
rsc.mnemonic.edituseraccount.changepassword=P
rsc.mnemonic.edituseraccount.help=H
rsc.mnemonic.edituseraccount.rscusername=N

rsc.mnemonic.adduseraccount.confirmpassword=F
rsc.mnemonic.adduseraccount.password=P

rsc.mnemonic.ethernetsettings.configurenetworkmanually=C
rsc.mnemonic.ethernetsettings.defaultgateway=D
rsc.mnemonic.ethernetsettings.help=H
rsc.mnemonic.ethernetsettings.rscipaddress=R
rsc.mnemonic.ethernetsettings.subnetmask=S
rsc.mnemonic.ethernetsettings.turnnetworkoff=T
rsc.mnemonic.ethernetsettings.usedhcptoconfigurenetworkautomatically=U
rsc.mnemonic.ethernetsettings.enabletpelinktest=E

rsc.mnemonic.alertsettings.servername=S
rsc.mnemonic.alertsettings.customerinformation=C
rsc.mnemonic.alertsettings.help=H
rsc.mnemonic.alertsettings.sendrscalertstopagers=S
rsc.mnemonic.alertsettings.use78charactermessagelength=U
rsc.mnemonic.alertsettings.number=N
rsc.mnemonic.alertsettings.pin=P
rsc.mnemonic.alertsettings.number2=B
rsc.mnemonic.alertsettings.pin2=I
rsc.mnemonic.alertsettings.advanced=D
rsc.mnemonic.alertsettings.advanced2=V
rsc.mnemonic.alertsettings.e-mailaddress=E
rsc.mnemonic.alertsettings.smtpmailserver=M
rsc.mnemonic.alertsettings.backupsmtpmailserver=B
rsc.mnemonic.alertsettings.sendrscalertsbye-mail=S

rsc.mnemonic.pagersettings.baudrate=B
rsc.mnemonic.pagersettings.databits=D
rsc.mnemonic.pagersettings.modeminitstring=M
rsc.mnemonic.pagersettings.parity=P
rsc.mnemonic.pagersettings.password=W
rsc.mnemonic.pagersettings.stopbits=S

rsc.mnemonic.log.find=F
rsc.mnemonic.log.help=H
rsc.mnemonic.log.next=N
rsc.mnemonic.log.previous=P
rsc.mnemonic.log.refresh=R
rsc.mnemonic.log.copy=Y
rsc.mnemonic.log.close=C
rsc.mnemonic.log.select_all=S

rsc.mnemonic.setserverbootmode.help=H
rsc.mnemonic.setserverbootmode.enterforthinterpreter=E
rsc.mnemonic.setserverbootmode.forcethehosttodirecttheconsoletorsc=F
rsc.mnemonic.setserverbootmode.normalboot=N
rsc.mnemonic.setserverbootmode.resetnvram=R
rsc.mnemonic.setserverbootmode.runfulldiagnostics=D
rsc.mnemonic.setserverbootmode.skipdiagnostics=S

rsc.mnemonic.password.currentpassword=P
rsc.mnemonic.password.newpassword=N
rsc.mnemonic.password.confirmnewpassword=C

rsc.mnemonic.serialframe.baudrate=B
rsc.mnemonic.serialframe.country=C
rsc.mnemonic.serialframe.databits=D
rsc.mnemonic.serialframe.enablehardwarehandshaking=E
rsc.mnemonic.serialframe.enableppponserialport=N
rsc.mnemonic.serialframe.help=H
rsc.mnemonic.serialframe.localipaddress=L
rsc.mnemonic.serialframe.parity=P
rsc.mnemonic.serialframe.remoteipaddress=R
rsc.mnemonic.serialframe.stopbits=S


